<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <View
        android:id="@+id/statusBarBackground"
        android:layout_width="match_parent"
        android:layout_height="24dp"
        android:background="@color/colorPrimaryDark"
        tools:ignore="MissingConstraints" />

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/mToolbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:background="@color/colorPrimaryDark"
        app:layout_constraintTop_toBottomOf="@+id/statusBarBackground">

        <ImageView
            android:id="@+id/iv_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ic_left_back" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="Redeem to discount"
            android:textColor="@color/white" />

    </androidx.appcompat.widget.Toolbar>

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_enter_code"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_2x_size"
        android:layout_marginTop="@dimen/margin_5x_size"
        android:text="Enter 5 digits code"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/mToolbar" />

    <com.seatel.mobilehall.util.customview.CustomEditText
        android:id="@+id/ed_code"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginStart="@dimen/margin_2x_size"
        android:layout_marginTop="@dimen/margin_2x_size"
        android:layout_marginEnd="@dimen/margin_2x_size"
        android:background="@drawable/bg_box_white_stroke_primary"
        android:inputType="number"
        android:paddingStart="@dimen/margin_2x_size"
        android:textColor="@color/black"
        android:textStyle="bold"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_enter_code" />


    <com.seatel.mobilehall.util.customview.CustomButton
        android:id="@+id/btn_redeem"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginStart="@dimen/margin_2x_size"
        android:layout_marginTop="@dimen/margin_2x_size"
        android:layout_marginEnd="@dimen/margin_2x_size"
        android:background="@drawable/bg_button_primary"
        android:gravity="center"
        android:text="Redeem Discount"
        android:textColor="@color/white"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ed_code" />


</androidx.constraintlayout.widget.ConstraintLayout>